ClosureClassIgnoringComponentScanBeanDefinitionParser (Grails 5.2.3)

Package: org.grails.spring.context.annotation

## [Java] Class ClosureClassIgnoringComponentScanBeanDefinitionParser

- org.grails.spring.context.annotation.ClosureClassIgnoringComponentScanBeanDefinitionParser

-     public class ClosureClassIgnoringComponentScanBeanDefinitionParser
      extends org.springframework.context.annotation.ComponentScanBeanDefinitionParser

  Extends Spring's default <context:component-scan/> element to ignore generated classes.

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    1.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner` | `configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, org.w3c.dom.Element element)`
    `` | `protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner` | `createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)`
    `` | `protected org.springframework.core.io.Resource[]` | `findAllClassPathResources(java.lang.String location)`
    `` | `public java.lang.ClassLoader` | `getClassLoader()`
    `` | `public org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
    `` | `public boolean` | `match(java.lang.String pattern, java.lang.String path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.annotation.ComponentScanBeanDefinitionParser` | `org.springframework.context.annotation.ComponentScanBeanDefinitionParser#parse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(long, int), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(long), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#equals(java.lang.Object), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#toString(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#hashCode(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#getClass(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#notify(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, org.w3c.dom.Element element)

    - #### @java.lang.Override protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)

    - #### @java.lang.Override protected org.springframework.core.io.Resource[] findAllClassPathResources(java.lang.String location)

    - #### public java.lang.ClassLoader getClassLoader()

    - #### public org.springframework.core.io.Resource getResource(java.lang.String location)

    - #### @java.lang.Override public boolean match(java.lang.String pattern, java.lang.String path)